package pmm.antiaircraft2;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Matrix;

public class Tank {
	private static final int TANK_HEIGHT = 50;
	private static final int TANK_WIDTH = 50;
	private static final int TANK_TOP = 480 - TANK_HEIGHT;
	private static final int CANNON_WIDTH = 10;
	private float angle;

	public Tank(){
		GameThread.tankImg=Bitmap.createBitmap(GameThread.tankImg);
		GameThread.cannonImg=Bitmap.createBitmap(GameThread.cannonImg);
	}

	public void draw(Canvas c) {
		c.drawBitmap(GameThread.tankImg, (320-TANK_WIDTH)/2, TANK_TOP, null);	
		Matrix m = new Matrix();
		m.postTranslate((320-CANNON_WIDTH)/2, TANK_TOP - 30);
		m.postRotate((float) ((-angle)*180 /Math.PI),160,446);
		c.drawBitmap(GameThread.cannonImg, m, null);	
	}
	
	public void setTarget(int x, int y) {
		if (x==160)
			angle=0;
		else{
			if(y>=446){
				angle=(float)Math.PI/2;
				if(x>160)
					angle-=2*angle;
			}
			else
				angle = (float) Math.atan((float)(x-160)/(float)(y-446));
		}
	}
}